Become a Paddle partner
Join the Paddle partner program to read this content. You'll also get access to our partner API and agent tooling. Let us know a few details about your business to get started. Already a partner? Log in to view this page.
Magic links let sellers access the Paddle dashboard directly from your platform without having to log in. Use them for tasks better handled in Paddle's UI than rebuilt in yours, such as final KYB document review or payout-method configuration.
We recommend providing a way for sellers to jump through to the dashboard for sandbox and live on your payments dashboard.
Redirects only work from domains on Paddle's allowlist. Share your platform's domains with Paddle before you integrate.
Overview
Create a magic session in two steps:
- Create a magic session
Get a token that you can use to authenticate a user. - Redirect a user to the dashboard
Construct a URL using the token, then redirect a user to drop them into the Paddle dashboard.
Create a magic session
- Layer
- Your platform
- Authentication
- User API key
- Environment
- Sandbox, Live
Send a request to the POST /magic-sessions/authorize endpoint using the user API key as a bearer token. The body is empty. You should do this for whichever environment you want to open dashboard in. For verification tasks, this is typically live only.
If successful, Paddle returns a 201 with a one-time-use code.
{ "data": { "code": "Vh7nQ2pXk9Lm4Rt1Ws8Yz6Bc3Nj0Gd5Fu2Ei7Ol4KaZ", "expires_at": "2026-03-05T19:21:36.711613073Z" }, "meta": { "request_id": "d1f2a3b4-5c6d-47e8-9f0a-1b2c3d4e5f60" }}Redirect into the dashboard
- Layer
- Your platform
Extract the code from the previous step, then construct a magic link by passing it to the code query param with an optional redirect target.
https://vendors.paddle.com/magic-sessions/login?code=Vh7nQ2pXk9Lm4Rt1Ws8Yz6Bc3Nj0Gd5Fu2Ei7Ol4KaZ&redirect=onboardingUse one of these values for redirect:
| Redirect value | Description |
|---|---|
overview | Paddle dashboard homepage. |
payout_settings | Payout settings page in the Paddle dashboard. |
retain_settings | Retain page in the Paddle dashboard. |
onboarding | Onboarding page in the Paddle dashboard. |
If omitted, the magic session takes users to the overview page.